This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 165615 - Review Request: perl-Text-Template - Expand template text with embedded Perl
Review Request: perl-Text-Template - Expand template text with embedded Perl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Text-Temp...
:
: 166710 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-10 16:15 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 12:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-08-10 16:15:29 EDT
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Text-Template.spec
SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Text-Template-1.44-1.src.rpm

Summary     : Expand template text with embedded Perl

Description :
This is a library for generating form letters, building HTML pages, or
filling in templates generally.  A 'template' is a piece of text that
has little Perl programs embedded in it here and there.  When you
'fill in' a template, you evaluate the little programs and replace
them with their values.
Comment 1 Paul Howarth 2005-08-16 09:15:02 EDT
Review:

- rpmlint clean
- naming of package and spec is fine
- meets packaging guidelines
- license is same as perl, text included in package
- spec file written in English and is legible
- sources match upstream
- builds ok on FC4 and in mock for devel
- no locale data, libraries, pkgconfig, subpackages etc. to worry about
- not relocatable
- no directory ownership issues
- no duplicate files
- permissions OK
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime

Needswork:

BuildRequires: perl >= 1:5.6.1
perl is listed as being part of the minimal build environment in the packaging
guidelines, so this BR appears to be redundant. The explicit version requirement
doesn't seem to comes from the module itself.


Nitpick:

 " || :" after %check isn't really needed for an Extras package, unless you're
aiming for backwards specfile compatibility with legacy distros.
Comment 2 Paul Howarth 2005-08-24 16:34:51 EDT
*** Bug 166710 has been marked as a duplicate of this bug. ***
Comment 3 Jose Pedro Oliveira 2005-08-25 11:46:31 EDT
(In reply to comment #1)

> Needswork:
> 
> BuildRequires: perl >= 1:5.6.1
> perl is listed as being part of the minimal build environment in the packaging
> guidelines, so this BR appears to be redundant. The explicit version requirement
> doesn't seem to comes from the module itself.

As you said it is redundant (not a blocker).  The explicit perl version comes
from the old Fedora.US template. IIRC it is related to vendor directories.
 
> Nitpick:
> 
>  " || :" after %check isn't really needed for an Extras package, unless you're
> aiming for backwards specfile compatibility with legacy distros.

Also from old Fedora.US/Extras perl template.  I have already changed my perl
specfile generation script to not include it.  Future new perl module specfiles
won't have it (present ones still have it).
Comment 4 Paul Howarth 2005-08-25 11:53:26 EDT
I'm happy enough with this to approve it, but please do tidy it up in CVS :-)
Comment 5 Jose Pedro Oliveira 2005-08-25 12:15:44 EDT
OK. I will update it in CVS.

But the other 40+ perl modules I maintain it will take much longer ;)
Comment 6 Jose Pedro Oliveira 2005-08-25 12:33:18 EDT
Closing ticket.
456 (perl-Text-Template): Build on target development succeeded.

Note You need to log in before you can comment on or make changes to this bug.